generator:
  class: sfPropelGenerator
  param:
    model_class:           Usuario
    theme:                 fusion
    css:                   screen
    non_verbose_templates: true
    with_show:             false
    singular:              Usuario
    plural:                Usuarios
    route_prefix:          usuario
    with_propel_route:     1
    actions_base_class:    sfActions

    config:
      actions: ~
      fields:  
          usuario:                         { attributes: { class: form-control } }
          clave:                           { attributes: { class: form-control } }
          nombre:                          { attributes: { class: form-control } }
          apellido:                        { attributes: { class: form-control } }
          participante_id:                 { attributes: { class: form-control } }
      list:    
        title:                        Listado de Usuarios
        display:                      [ =usuario,  nombre,    apellido,archivos,administrador,revisor,supervisor,vo_bo]
        object_actions:
          _edit:             ~
          _delete:           ~
          perfiles:
             label:                     Perfiles
             action:                    perfi
             params:                    class=btn btn-xs btn-info    
#          empresa:
#            label:                     Empresa
#            action:                    empresa  
#            params:                    class=btn btn-mini btn-info
          cambio_clave:
            label:                     Cambio Clave
            action:                    cambio
            params:                    class=btn btn-xs btn-green          
      filter:  
        display:                      [  usuario,  nombre,    apellido]
      form:    
        display:                      [ usuario,  clave,    nombre,    apellido,archivos, administrador,revisor,supervisor,vo_bo]
      edit:    
        title:                        Edición de "%%USUARIO%%"
      new:    
        title:                        Ingreso de Usuario
        
        
        
           